Subject: =?utf-8?Q?Re:_bug#68930:_30.0.50; __Emacs_conflates_C-=CE=A9_and_C-=CF=89?=

From: Alexander Prähauser <[email-masked]>
Date: Tue, 06 Feb 2024 13:22:11 +0000

Alexander Prähauser <[email-masked]> writes:

> "Po Lu" <[email-masked]> writes:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>> I think Alexander says that the bindings are reversed, i.e. C-Δ
>>> invokes the binding of C-δ and vice versa.  That's the bug he is
>>> complaining about.  Your description seems to suggest that both keys
>>> should have invoked the same command, not two different commands
>>> exactly reversed from how they were bound.
>>
>> If so, I can't reproduce the bug by binding keys to the characters he
>> specified in his e-mail.  Alexander, please send the lines in your XKB
>> keymap which bind those characters, or alternatively run:
>>
>>   xkbcomp :0 test.xkb
>>
>> and attach the test.xkb file produced.  Thanks in advance.
>
> The line for, for instance, ω and Ω is
>
>     key <AB09> { [ w,                       W,
>     EuroSign,                U03C9,                   9,
>     U221E,                   U03A9,            U1F61F                 ]
>     };
>
> Here, lowercase Greek symbols are on the fourth layer and uppercase on
> the seventh. I also included the test.xkb file that you mentioned. I
> just had the thought that maybe the behavior can be explained by the way
> higher layers are accessed through modifiers: I looked it up, and
> usually the fourth layer is accessed through CapsLock and RightShift and
> the seventh through CapsLock and RightAlt, but I made it so that the
> fourth layer can also be accessed through Backslash and Grave, and if I
> use either combination to type C-ω it acts as if I was typing C-Ω.

Here is the overall keyboard config I'm using, just in case. I'm using
Dual Function Keys to place modifiers, for lower-case Greek letters on
the E key and the 9 key and for uppercase Greek letters on Tab and
Rightbrace, and the xkb file is called Daselt, because that's what I
called the overall layout.